librime: rime::Syllabifier Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::Syllabifier Class Reference

`#include <syllabifier.h>`

Collaboration diagram for rime::Syllabifier:
[legend]

## Public Member Functions
| Syllabifier ()=default
| Syllabifier (const string &delimiters, bool enable_completion=false, bool strict_spelling=false)
RIME_DLL int | BuildSyllableGraph (const string &input, Prism &prism, SyllableGraph *graph)
RIME_DLL void | EnableCorrection (Corrector *corrector)

## Protected Member Functions
void | CheckOverlappedSpellings (SyllableGraph *graph, size_t start, size_t end)
void | Transpose (SyllableGraph *graph)

## Protected Attributes
string | delimiters_
bool | enable_completion_ = false
bool | strict_spelling_ = false
Corrector * | corrector_ = nullptr

## Constructor & Destructor Documentation

## ◆ Syllabifier() [1/2]

rime::Syllabifier::Syllabifier | ( |  | ) |
| default

## ◆ Syllabifier() [2/2]

rime::Syllabifier::Syllabifier | ( | const string & | delimiters,
|  | bool | enable_completion = false,
|  | bool | strict_spelling = false )
| inlineexplicit

## Member Function Documentation

## ◆ BuildSyllableGraph()

int rime::Syllabifier::BuildSyllableGraph | ( | const string & | input,
|  | Prism & | prism,
|  | SyllableGraph * | graph )

## ◆ CheckOverlappedSpellings()

void rime::Syllabifier::CheckOverlappedSpellings | ( | SyllableGraph * | graph,
|  | size_t | start,
|  | size_t | end )
| protected

## ◆ EnableCorrection()

void rime::Syllabifier::EnableCorrection | ( | Corrector * | corrector | ) |

## ◆ Transpose()

void rime::Syllabifier::Transpose | ( | SyllableGraph * | graph | ) |
| protected

## Member Data Documentation

## ◆ corrector_

Corrector* rime::Syllabifier::corrector_ = nullptr
| protected

## ◆ delimiters_

string rime::Syllabifier::delimiters_
| protected

## ◆ enable_completion_

bool rime::Syllabifier::enable_completion_ = false
| protected

## ◆ strict_spelling_

bool rime::Syllabifier::strict_spelling_ = false
| protected

The documentation for this class was generated from the following files:

- syllabifier.h
- syllabifier.cc